first cut at turnon scripts for EasyTimer v2
[fw/altos] / ao-bringup / turnon_easymotor
1 #!/bin/sh
2
3 if [ -x ../ao-tools/ao-flash/ao-flash-lpc ]; then
4         FLASH_LPC=../ao-tools/ao-flash/ao-flash-lpc
5 elif [ -x /usr/bin/ao-flash-lpc ]; then
6         FLASH_LPC=/usr/bin/ao-flash-lpc
7 else
8         echo "Can't find ao-flash-lpc!  Aborting."
9         exit 1
10 fi
11
12 if [ -x ../ao-tools/ao-usbload/ao-usbload ]; then
13         USBLOAD=../ao-tools/ao-usbload/ao-usbload
14 elif [ -x /usr/bin/ao-usbload ]; then
15         USBLOAD=/usr/bin/ao-usbload
16 else
17         echo "Can't find ao-usbload!  Aborting."
18         exit 1
19 fi
20
21 VERSION=3
22 PRODUCT=EasyMotor
23 BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
24 echo $FILE
25
26 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
27 echo "Copyright 2022 by Bdale Garbee.  Released under GPL v3"
28 echo
29 echo "Expectations:"
30 echo "\t$PRODUCT v$VERSION powered from USB"
31 echo "\t\twith ST-Link-V2 cabled to debug header"
32 echo "\t\tand precision 2:1 resistor divider feeding pressure input from 5V out"
33 echo
34
35 case $# in
36     1)
37         SERIAL="$1"
38         echo "$PRODUCT-$VERSION serial number: $SERIAL" 
39         ;;
40     0)
41         echo -n "$PRODUCT-$VERSION serial number: "
42         read SERIAL
43         ;;
44     *)
45         echo "Usage: $0 <serial-number>" 1>&2
46         exit 1;
47         ;;
48 esac
49 #
50 # Use released versions of everything
51 #
52 FLASH_FILE=~/altusmetrumllc/Binaries/loaders/easymotor-v3-altos-flash-*.elf
53 ALTOS_FILE=~/altusmetrumllc/Binaries/easymotor-v3-*.elf
54
55 echo $FLASH_LPC $FLASH_FILE
56
57 $FLASH_LPC $FLASH_FILE || exit 1
58
59 sleep 1
60
61 echo $USBLOAD $ALTOS_FILE
62
63 $USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1
64
65 sleep 2
66
67 dev=`ao-list | awk '/EasyMotor-v'"$VERSION"'/ { print $3; exit(0); }'`
68
69 case "$dev" in
70 /dev/tty*)
71         echo "EasyMotor found on $dev"
72         ;;
73 *)
74         echo 'No EasyMotor-v'"$VERSION"' found'
75         exit 1
76         ;;
77 esac
78
79 echo 'E 0' > $dev
80
81 failed=1
82 while [ $failed = 1 ]; do
83     ../ao-tools/ao-cal-accel/ao-cal-accel $dev
84     failed=$?
85 done
86
87 echo 'E 1' > $dev
88
89 sleep 1
90
91 ./test-easymotor-v3
92
93 exit $?